Page MenuHomePhabricator

Convert Math to use extension registration
Closed, ResolvedPublic

Description

The Math extension needs to be converted to use the new extension registration system. More details are available on T87875.

The proposed patch replaces integer constants with strings but maintains backwards compatibility. Note that this changes the cache key and could therefore generate a load spike. Therefore operations was added in the Projects field.

Event Timeline

Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 7:32 PM
Physikerwelt updated the task description. (Show Details)
Physikerwelt set Security to None.
gerritbot added a subscriber: gerritbot.

Change 187654 had a related patch set uploaded (by Physikerwelt):
WIP: DO NOT SUBMIT (Extension registration)

https://gerrit.wikimedia.org/r/187654

Patch-For-Review

@Legoktm can you have a look at the change?

Physikerwelt moved this task from Incoming to Next-up on the Math board.Mar 5 2015, 2:26 PM
Physikerwelt triaged this task as Normal priority.Mar 30 2015, 2:08 PM

Extension.json can be approved any time just please recommend do sql file manually for time being since web updater broken for extension.json.

Physikerwelt added a subscriber: Whyameri.

@Whyameri I finally implmented the missing part by myself. Thank you for your help. @Paladox Can you tell me how to tests the web updater?

Physikerwelt updated the task description. (Show Details)Jul 25 2015, 4:18 PM
Physikerwelt added a project: acl*sre-team.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 25 2015, 4:18 PM
Paladox added a comment.EditedJul 25 2015, 4:45 PM

@Physikerwelt you can do it the normal way as you would in php. You go to mw-config/ on your website then you follow steps once you get to upgrade database or install click next and a upgrade log should show and if you look through it math should be said somewhere in there if not then it wasent added or updated. But that is a known problem in mediawiki core with extension registration system please see T100414 there is currently a patch waiting for review. I tested the patch and web updater works with that. I would add the a note to the extension temporarily that advises users that the new extension registration system does not yet work properly work with web update please upload the sql file manually to your database.

...mh it seems that there are several problems with the web updater... I chose a unsupported language and got Class undefined: DT_LanguageEn

Hum I am not sure if that is a problem with extension registration. Does it work with supported languages.

Jdforrester-WMF closed this task as Resolved.Jul 30 2015, 10:02 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Change 187654 merged by jenkins-bot:
Use extension.json, empty PHP entry point

https://gerrit.wikimedia.org/r/187654